using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace CWW
{
	/// <summary>
	/// Summary description for ProCrewConfirm.
	/// </summary>
	public class ProCrewConfirm : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label FirstName;
		protected System.Web.UI.WebControls.Label LastName;
		protected System.Web.UI.WebControls.Label Address;
		protected System.Web.UI.WebControls.Label City;
		protected System.Web.UI.WebControls.Label ProvState;
		protected System.Web.UI.WebControls.Label Country;
		protected System.Web.UI.WebControls.Label PostalZip;
		protected System.Web.UI.WebControls.Label Email;
		protected System.Web.UI.WebControls.Label SIN;
		protected System.Web.UI.WebControls.Label Telephone;
		protected System.Web.UI.WebControls.Label Mobile;
		protected System.Web.UI.WebControls.Label Work;
		protected System.Web.UI.WebControls.Label Fax;
		protected System.Web.UI.WebControls.Label Smoking;
		protected System.Web.UI.WebControls.Label ContactName;
		protected System.Web.UI.WebControls.Label ContactTelephone;
		protected System.Web.UI.WebControls.Label Learn;
		protected System.Web.UI.WebControls.Label CoverLetter;
		protected System.Web.UI.WebControls.Label Resume;
		protected System.Web.UI.WebControls.Label Photo;
	
		protected System.Web.UI.HtmlControls.HtmlInputFile CoverLetterFile;
		protected System.Web.UI.HtmlControls.HtmlInputFile ResumeFile;
		protected System.Web.UI.HtmlControls.HtmlInputFile PhotoFile;
		protected ProCrewApp proCrewApp;
		protected string strCoverLetterFileName;
		protected string strResumeFileName;
		protected string strPhotoFileName;

		private void Page_Load(object sender, System.EventArgs e)
		{	
			
			proCrewApp = (ProCrewApp) Context.Handler;

			//set the uploaded files from form page
			CoverLetterFile = proCrewApp.getCoverLetterFile();
			ResumeFile = proCrewApp.getResumeFile();
			PhotoFile = proCrewApp.getPhotoFile();
				
			//determine file names to be uploaded
			strCoverLetterFileName = System.IO.Path.GetFileName(CoverLetterFile.PostedFile.FileName);
			strResumeFileName = System.IO.Path.GetFileName(ResumeFile.PostedFile.FileName);
			strPhotoFileName = System.IO.Path.GetFileName(PhotoFile.PostedFile.FileName);

			//set the values for all the fields
			FirstName.Text = proCrewApp.getFirstName();
			LastName.Text = proCrewApp.getLastName();
			Address.Text = proCrewApp.getAddress();
			City.Text = proCrewApp.getCity();
			ProvState.Text = proCrewApp.getProv();
			Country.Text = proCrewApp.getCountry();
			PostalZip.Text = proCrewApp.getPostal();
			Email.Text = proCrewApp.getEmail();
			SIN.Text = proCrewApp.getSIN();
			Telephone.Text = proCrewApp.getTelephone();
			Mobile.Text = proCrewApp.getMobile();
			Work.Text = proCrewApp.getWork();
			Fax.Text = proCrewApp.getFax();
			Smoking.Text = proCrewApp.getSmoking();
			ContactName.Text = proCrewApp.getContactName();
			ContactTelephone.Text = proCrewApp.getContactTelephone();
			Learn.Text = proCrewApp.getLearn();
			CoverLetter.Text = CoverLetterFile.Value;
			Resume.Text = ResumeFile.Value;
			Photo.Text = PhotoFile.Value;
			
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion


	}
}